Build #3 for qtah-qt5-0.6.0

[all reports]

Package qtah-qt5-0.6.0
Install DependencyFailed qtah-qt5-0.6.0
Docs NotTried
Tests NotTried
Time submitted 2019-12-24 14:06:59.956534461 UTC
Compiler ghc-8.6.3
OS linux
Arch x86_64
Dependencies base-4.12.0.0, binary-0.8.6.0, bytestring-0.10.8.2, hoppy-runtime-0.7.0, qtah-cpp-qt5-0.6.0, qtah-generator-0.6.0
Flags none

Build log

[view raw]

Warning: The install command is a part of the legacy v1 style of cabal usage.

Please switch to using either the new project style and the new-install
command or the legacy v1-install alias as new-style projects will become the
default in the next version of cabal-install. Please file a bug if you cannot
replicate a working v1- use case with the new-style commands.

For more information, see: https://wiki.haskell.org/Cabal/NewBuild

Resolving dependencies...
Starting     random-1.1
Starting     hoppy-runtime-0.7.0
Starting     syb-0.7.1
Starting     transformers-compat-0.6.5
Building     random-1.1
Building     hoppy-runtime-0.7.0
Building     syb-0.7.1
Building     transformers-compat-0.6.5
Completed    transformers-compat-0.6.5
Starting     exceptions-0.10.3
Completed    random-1.1
Building     exceptions-0.10.3
Completed    syb-0.7.1
Starting     haskell-src-1.0.3.0
Completed    hoppy-runtime-0.7.0
Building     haskell-src-1.0.3.0
Completed    exceptions-0.10.3
Starting     temporary-1.3
Building     temporary-1.3
Completed    temporary-1.3
Completed    haskell-src-1.0.3.0
Starting     hoppy-generator-0.7.0
Building     hoppy-generator-0.7.0
Completed    hoppy-generator-0.7.0
Starting     hoppy-std-0.7.0
Building     hoppy-std-0.7.0
Completed    hoppy-std-0.7.0
Starting     qtah-generator-0.6.0
Building     qtah-generator-0.6.0
Completed    qtah-generator-0.6.0
Starting     qtah-cpp-qt5-0.6.0
Failed to install qtah-cpp-qt5-0.6.0
Build log ( /home/builder/.cabal/logs/ghc-8.6.3/qtah-cpp-qt5-0.6.0-7ARABKnZX2VD9Q9IL3iaIG.log ):
cabal: Entering directory '/tmp/cabal-tmp-11908/qtah-cpp-qt5-0.6.0'
[1 of 1] Compiling Main             ( /tmp/cabal-tmp-11908/qtah-cpp-qt5-0.6.0/dist/setup/setup.hs, /tmp/cabal-tmp-11908/qtah-cpp-qt5-0.6.0/dist/setup/Main.o )
Linking /tmp/cabal-tmp-11908/qtah-cpp-qt5-0.6.0/dist/setup/setup ...
Configuring qtah-cpp-qt5-0.6.0...
qtah-cpp-qt5: Requesting Qt 5 because of package name.
setup: '/home/builder/.cabal/bin/qtah-generator' exited with an error:
qtah-generator: user error (qtah-generator: Can't find qmake named any of
["qmake-qt5","qmake"]. Please ensure qmake is installed and set QTAH_QMAKE to
qmake's path.)

cabal: Leaving directory '/tmp/cabal-tmp-11908/qtah-cpp-qt5-0.6.0'
cabal: Error: some packages failed to install:
qtah-cpp-qt5-0.6.0-7ARABKnZX2VD9Q9IL3iaIG failed during the configure step.
The exception was:
ExitFailure 1
qtah-qt5-0.6.0-7yUBSgRUky79rBuW2AmK6l depends on qtah-qt5-0.6.0 which failed
to install.